Summary:	vb-GUI
Name:		vb-GUI
Version:	1.3
Release:	1
License:	GPL
Group:      System/Servers
Vendor:     vortexbox.org
Packager:   admin@tvortexbox.org
URL:        http://www.vortexbox.org
Source0:	%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: 	php

%description
VortexBox web GUI

%prep

%setup -q -n %{name}-%{version}

%build

%install

mkdir -p %{buildroot}
install -d %{buildroot}
cp -r * %{buildroot}

%post
chown apache:apache /var/www/html/templates_c
chmod +w /var/www/html/templates_c
chown -R apache:apache /var/www/html/config
chmod +w /var/www/html/config
rm -rf /var/www/html/templates_c/*
touch /var/www/html/templates_c/index.html 

if ! grep "apache ALL = NOPASSWD:/opt/vortexbox/setup_network.sh" /etc/sudoers >/dev/null 2>&1; then
    echo "apache ALL = NOPASSWD:/opt/vortexbox/setup_network.sh" >> /etc/sudoers
    echo "apache ALL = NOPASSWD:/opt/vortexbox/setup_network.sh added to /etc/sudoers"
fi

if ! grep "apache ALL = NOPASSWD:/opt/vortexbox/doaction.sh" /etc/sudoers >/dev/null 2>&1; then
    echo "apache ALL = NOPASSWD:/opt/vortexbox/doaction.sh" >> /etc/sudoers
    echo "apache ALL = NOPASSWD:/opt/vortexbox/doaction.sh added to /etc/sudoers"
fi

touch /var/log/mirror.log
touch /var/log/usbbackup.log
touch /var/log/vbupgrade.log

%clean
rm -rf %{buildroot}

%files
/var/www/html/*


%changelog
* Mon Apr 05 2010 <admin@vortexbox.org>
- Added stop button to backup

* Wed Mar 24 2010 <admin@vortexbox.org>
- Fixed some typos

* Mon Mar 22 2010 <admin@vortexbox.org>
- added support for Subsonic

* Mon Mar 15 2010 <admin@vortexbox.org>
- cover art in mp3s is now optional

* Mon Mar 08 2010 <admin@vortexbox.org>
- Updates to version 1.2

* Fri Mar 05 2010 <admin@vortexbox.org>
- Added support for MusicIP

* Tue Mar 02 2010 <admin@vortexbox.org>
- Added support for package manager

* Tue Jan 26 2010 <admin@vortexbox.org>
- Added auto FLAC mirror

* Sat Jan 23 2010 <admin@vortexbox.org>
- Added support to the GUI for configuring vortexbox-player

* Wed Dec 16 2009 <admin@vortexbox.org>
- Updated to 1.0

* Wed Nov 11 2009 <admin@vortexbox.org>
- Added get cover art button to ripper GUI

* Mon Oct 12 2009 <admin@vortexbox.org>
- added temperature format selection

* Thu Oct 08 2009 <admin@vortexbox.org>
- fixed phpsysinfo

* Mon Sep 14 2009 <admin@vortexbox.org>
- added upgrade tab

* Thu Jul 16 2009 <admin@vortexbox.org>
- added viewing of ripping log
- configure timezone

* Thu Jun 11 2009 <admin@vortexbox.org>
- added IP address configuration section
- updated GUI look

* Wed Nov 05 2008 admin <admin@vortexbox.org>
- inital release
